summaryrefslogtreecommitdiff
path: root/dev-python/wsgiproxy2
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/wsgiproxy2
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/wsgiproxy2')
-rw-r--r--dev-python/wsgiproxy2/Manifest1
-rw-r--r--dev-python/wsgiproxy2/files/wsgiproxy2-0.4.6-tests.patch19
-rw-r--r--dev-python/wsgiproxy2/metadata.xml13
-rw-r--r--dev-python/wsgiproxy2/wsgiproxy2-0.4.6-r1.ebuild47
4 files changed, 80 insertions, 0 deletions
diff --git a/dev-python/wsgiproxy2/Manifest b/dev-python/wsgiproxy2/Manifest
new file mode 100644
index 000000000000..f0474ae6741d
--- /dev/null
+++ b/dev-python/wsgiproxy2/Manifest
@@ -0,0 +1 @@
+DIST WSGIProxy2-0.4.6.tar.gz 16481 BLAKE2B c33dc34d430da795e8144e06e1d6f100cce7d0155295c2d3038567a048647a4f008dbc0156fd4234ce069b3f4ec01af0e42b174dd68c92c9cb3ff4e13be83f8a SHA512 c60d794c0c8b383bf1857ec325d6d0b4fce9c4aec4a06cbf9d7549b609633e491e137342b7bbaf4eec12462eabba63096328c8517b0685e241d1baecd5827cad
diff --git a/dev-python/wsgiproxy2/files/wsgiproxy2-0.4.6-tests.patch b/dev-python/wsgiproxy2/files/wsgiproxy2-0.4.6-tests.patch
new file mode 100644
index 000000000000..77515b85b027
--- /dev/null
+++ b/dev-python/wsgiproxy2/files/wsgiproxy2-0.4.6-tests.patch
@@ -0,0 +1,19 @@
+diff --git a/wsgiproxy/test_wsgiproxy.py b/wsgiproxy/test_wsgiproxy.py
+index 39355d9..7806d3b 100644
+--- a/wsgiproxy/test_wsgiproxy.py
++++ b/wsgiproxy/test_wsgiproxy.py
+@@ -1,4 +1,6 @@
+ # -*- coding: utf-8 -*-
++import sys
++import platform
+ import unittest
+ from wsgiproxy import proxies
+ from webtest import TestApp
+@@ -86,6 +88,7 @@ class TestHttplib(unittest.TestCase):
+ headers=[('Transfer-Encoding', 'chunked')])
+ resp.mustcontain(no='chunked')
+
++ @unittest.skipIf(sys.hexversion < 0x3000000 and 'pypy' not in platform.python_implementation().lower(), "broken on cpython2")
+ def test_quoted_utf8_url(self):
+ path = '/targets/NR2F1%C3%82-human/'
+ resp = self.app.get(path)
diff --git a/dev-python/wsgiproxy2/metadata.xml b/dev-python/wsgiproxy2/metadata.xml
new file mode 100644
index 000000000000..fc54890e4dcf
--- /dev/null
+++ b/dev-python/wsgiproxy2/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="pypi">WSGIProxy2</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/wsgiproxy2/wsgiproxy2-0.4.6-r1.ebuild b/dev-python/wsgiproxy2/wsgiproxy2-0.4.6-r1.ebuild
new file mode 100644
index 000000000000..0f5f947be439
--- /dev/null
+++ b/dev-python/wsgiproxy2/wsgiproxy2-0.4.6-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+MY_PN="WSGIProxy2"
+
+DESCRIPTION="HTTP proxying tools for WSGI apps"
+HOMEPAGE="https://pypi.org/project/WSGIProxy2/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~ppc ppc64 s390 sparc x86"
+
+RDEPEND="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/webob[${PYTHON_USEDEP}]
+"
+BDEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/webtest-2.0.17[${PYTHON_USEDEP}]
+ dev-python/socketpool[${PYTHON_USEDEP}]
+ )"
+# Testing also revealed the suite needs latest webtest
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+PATCHES=(
+ "${FILESDIR}/wsgiproxy2-0.4.6-tests.patch"
+)
+
+distutils_enable_sphinx docs
+distutils_enable_tests nose
+
+python_prepare_all() {
+ sed -i '/with-coverage/ d' setup.cfg || die
+
+ distutils-r1_python_prepare_all
+}